//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
    //Added
	using Neo.ApplicationFramework.Common.Service;
	using Neo.ApplicationFramework.Common.Utilities;
    
    public partial class Screen1
    {
		ISecurityServiceCF securityService;
		void Screen1_Opened(System.Object sender, System.EventArgs e)
		{
			//Loop through all users and them in combobox
			PopulateList();
			//Define font for the txtInput object
			System.Drawing.Font myFont = new System.Drawing.Font("Tahoma", 26, System.Drawing.FontStyle.Regular);
			txtInput.Font = myFont;
			//Add password character to the text box
			txtInput.PasswordChar = '*';
			
			//Add eventhandler that detects if txtInput gets focus
			txtInput.GotFocus += ObjectFocus;
		}
		
		void Screen1_Closed(System.Object sender, System.EventArgs e)
		{
			//Important!
			//Remove eventhandler that detects if txtInput gets focus
			txtInput.GotFocus -= ObjectFocus;
		}
		
		void ObjectFocus(System.Object sender, System.EventArgs e)
		{
			txtInput.SelectAll();
			ShowKeyboard();
		}
		
		void ShowKeyboard()
		{
			IKeyboardHelper kh = KeyboardHelperFactory.KeyboardHelper;
			Rectangle rt = new Rectangle(0,0,0,0);
			kh.ShowFullKeyboard(rt);
		}
		
		void PopulateList()
		{
			ISecurityManager securityManager = Globals.Security as ISecurityManager;
			foreach (ISecurityUser user in securityManager.Users)
			{
				//Only add the administrator to the combobox
				if (user.Username == "Administrator")
				{
					cbUsers.Items.Add(user.Username);
				}
			}
			if(cbUsers.Items.Count > 0)
			{
				cbUsers.SelectedIndex = 0;
			}
		}
		
		private ISecurityServiceCF  SecurityService
		{
			get
			{
				if (securityService == null)
				{
					securityService = ServiceContainerCF.GetServiceSafe<ISecurityServiceCF>();
				}
				return securityService;
			}
		}
		
		void btnLogin_Click(System.Object sender, System.EventArgs e)
		{
			if(	SecurityService.LoginUser(cbUsers.Text, txtInput.Text))
			{
				securityService.ShowMessageBoxWithTimeout("User " + cbUsers.Text + " is logged in", "Login Success");
				//Important!
				//Remove eventhandler that detects if txtInput gets focus on a successful login
				txtInput.GotFocus -= ObjectFocus;
				Globals.Screen2.Show();
			}
			else
			{				
				securityService.ShowMessageBoxWithTimeout("Wrong password - try again", "Login Failed");
			}
		}
		
		void btnLogout_Click(System.Object sender, System.EventArgs e)
		{
			
		}
		

    }
}
